#-------------------------------------------------
#
# Project created by QtCreator 2018-11-13T09:35:43
#
#-------------------------------------------------

QT       += core sql network

QT       -= gui

TARGET = ytCore
CONFIG   += console
CONFIG   -= app_bundle

TEMPLATE = app


SOURCES += main.cpp \
    ytcore.cpp \
    dbthread.cpp \
    logthread.cpp \
    dncommthread.cpp \
    realvalue.cpp \
    messagesender.cpp \
#    datasender.cpp \
    userverthread.cpp \
#    alarmchannel.cpp

HEADERS += \
    ytcore.h \
    dbthread.h \
    logthread.h \
    dncommthread.h \
    yt_unit_shm.h \
    realvalue.h \
    QReplyTimeout.h \
    Msg.h \
    messagesender.h \
#    datasender.h \
    userverthread.h \
#    alarmchannel.h

#INCLUDEPATH += /home/yt/Qt/ytUnit-build-embedded-Qt_4_8_5__Yc_qt4_8_5____/ycapi

#LIBS += -L/work/yctools/4.4.3/arm-none-linux-gnueabi/sys-root/usr/lib -ljson-c
#LIBS += -L/home/yt/Qt/ytUnit-build-embedded-Qt_4_8_5__Yc_qt4_8_5____/ycapi -lycapi
